Loading...
Searching...
No Matches
pcl::cuda::YUV2RGBKernel< Storage > Struct Template Reference

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/io/include/pcl/cuda/io/debayering.h>`

## Public Member Functions

| YUV2RGBKernel (unsigned char *yuv_image, unsigned width, unsigned height)
__inline__ __host__ __device__ OpenNIRGB | operator() (int index) const

## Public Attributes

unsigned | width
unsigned | height
unsigned char * | data

## Detailed Description

template<template< typename > class Storage>
struct pcl::cuda::YUV2RGBKernel< Storage >

Definition at line 104 of file debayering.h.

## Constructor & Destructor Documentation

## YUV2RGBKernel()

template<template< typename > class Storage>

pcl::cuda::YUV2RGBKernel< Storage >::YUV2RGBKernel | ( | unsigned char * | yuv_image,
|  | unsigned | width,
|  | unsigned | height )

References height, and width.

## Member Function Documentation

## operator()()

template<template< typename > class Storage>

__inline__ __host__ __device__ OpenNIRGB pcl::cuda::YUV2RGBKernel< Storage >::operator() | ( | int | index | ) | const

## Member Data Documentation

## data

template<template< typename > class Storage>

unsigned char* pcl::cuda::YUV2RGBKernel< Storage >::data

Definition at line 108 of file debayering.h.

## height

template<template< typename > class Storage>

unsigned pcl::cuda::YUV2RGBKernel< Storage >::height

Definition at line 107 of file debayering.h.

Referenced by YUV2RGBKernel().

## width

template<template< typename > class Storage>

unsigned pcl::cuda::YUV2RGBKernel< Storage >::width

Definition at line 106 of file debayering.h.

Referenced by YUV2RGBKernel().

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/io/include/pcl/cuda/io/debayering.h